KSSLSettings Class Reference

`#include <ksslsettings.h>`

## Public Member Functions

| KSSLSettings (bool readConfig=true)
| ~KSSLSettings ()
bool | sslv2 () const
bool | sslv3 () const
bool | tlsv1 () const
bool | warnOnEnter () const
void | setWarnOnEnter (bool x)
bool | warnOnUnencrypted () const
void | setWarnOnUnencrypted (bool x)
bool | warnOnLeave () const
void | setWarnOnLeave (bool x)
bool | warnOnMixed () const
bool | warnOnSelfSigned () const KDE_DEPRECATED
bool | warnOnRevoked () const KDE_DEPRECATED
bool | warnOnExpired () const KDE_DEPRECATED
bool | useEGD () const
bool | useEFile () const
void | setTLSv1 (bool enabled)
void | setSSLv2 (bool enabled)
void | setSSLv3 (bool enabled)
bool | autoSendX509 () const
bool | promptSendX509 () const
QString | getCipherList ()
QString & | getEGDPath ()
void | load ()
void | defaults ()
void | save ()

## Detailed Description

KDE SSL Settings.

This class contains some of the SSL settings for easy use.

Author
  George Staikos staik.nosp@m.os@k.nosp@m.de.or.nosp@m.g

See also
  KSSL KDE SSL Settings

Definition at line 39 of file ksslsettings.h.

## Constructor & Destructor Documentation

KSSLSettings::KSSLSettings | ( | bool | readConfig = `true` | ) |

Construct a KSSL Settings object.

Parameters

  readConfig | read in the configuration immediately if true

Definition at line 97 of file ksslsettings.cc.

KSSLSettings::~KSSLSettings | ( |  | ) |

Destroy this KSSL Settings object.

Definition at line 110 of file ksslsettings.cc.

## Member Function Documentation

bool KSSLSettings::autoSendX509 | ( |  | ) | const

Does the user want X.509 client certificates to always be sent when possible?

Returns
  true if the user always wants a certificate sent

Definition at line 338 of file ksslsettings.cc.

void KSSLSettings::defaults | ( |  | ) |

Revert to default settings.

Definition at line 250 of file ksslsettings.cc.

QString KSSLSettings::getCipherList | ( |  | ) |

Get the OpenSSL cipher list for selecting the list of ciphers to use in a connection.

Returns
  the cipher list

Definition at line 134 of file ksslsettings.cc.

QString & KSSLSettings::getEGDPath | ( |  | ) |

Get the configured path to the entropy gathering daemon or entropy file.

Returns
  the path

Definition at line 345 of file ksslsettings.cc.

void KSSLSettings::load | ( |  | ) |

Load the user's settings.

Definition at line 210 of file ksslsettings.cc.

bool KSSLSettings::promptSendX509 | ( |  | ) | const

Does the user want to be prompted to send X.509 client certificates when possible?

Returns
  true if the user wants to be prompted

Definition at line 339 of file ksslsettings.cc.

void KSSLSettings::save | ( |  | ) |

Save the current settings.

Definition at line 267 of file ksslsettings.cc.

void KSSLSettings::setSSLv2 | ( | bool | enabled | ) |

Change the user's SSLv2 preference.

Parameters

  enabled | true if SSLv2 is enabled

Definition at line 342 of file ksslsettings.cc.

void KSSLSettings::setSSLv3 | ( | bool | enabled | ) |

Change the user's SSLv3 preference.

Parameters

  enabled | true if SSLv3 is enabled

Definition at line 343 of file ksslsettings.cc.

void KSSLSettings::setTLSv1 | ( | bool | enabled | ) |

Change the user's TLSv1 preference.

Parameters

  enabled | true if TLSv1 is enabled

Definition at line 341 of file ksslsettings.cc.

void KSSLSettings::setWarnOnEnter | ( | bool | x | ) |

Change the user's warnOnEnter() setting.

Since
  3.3

Parameters

  x | true if the user is to be warned

See also
  warnOnEnter

Definition at line 327 of file ksslsettings.cc.

void KSSLSettings::setWarnOnLeave | ( | bool | x | ) |

Change the user's warnOnLeave() setting.

Since
  3.3

Parameters

  x | true if the user is to be warned

See also
  warnOnLeave

Definition at line 331 of file ksslsettings.cc.

void KSSLSettings::setWarnOnUnencrypted | ( | bool | x | ) |

Change the user's warnOnUnencrypted() setting.

Parameters

  x | true if the user is to be warned

See also
  warnOnUnencrypted

Definition at line 329 of file ksslsettings.cc.

bool KSSLSettings::sslv2 | ( |  | ) | const

Does the user allow SSLv2.

Returns
  true if the user allows SSLv2

Definition at line 116 of file ksslsettings.cc.

bool KSSLSettings::sslv3 | ( |  | ) | const

Does the user allow SSLv3.

Returns
  true if the user allows SSLv3

Definition at line 121 of file ksslsettings.cc.

bool KSSLSettings::tlsv1 | ( |  | ) | const

Does the user allow TLSv1.

Returns
  true if the user allows TLSv1

Definition at line 126 of file ksslsettings.cc.

bool KSSLSettings::useEFile | ( |  | ) | const

Does the user want to use an entropy file?

Returns
  true if the user wants to use an entropy file

Definition at line 337 of file ksslsettings.cc.

bool KSSLSettings::useEGD | ( |  | ) | const

Does the user want to use the Entropy Gathering Daemon?

Returns
  true if the user wants to use EGD

Definition at line 336 of file ksslsettings.cc.

bool KSSLSettings::warnOnEnter | ( |  | ) | const

Does the user want to be warned on entering SSL mode.

Returns
  true if the user wants to be warned

Definition at line 326 of file ksslsettings.cc.

bool KSSLSettings::warnOnExpired | ( |  | ) | const

Do not use this.

Deprecated:

Definition at line 335 of file ksslsettings.cc.

bool KSSLSettings::warnOnLeave | ( |  | ) | const

Does the user want to be warned on leaving SSL mode.

Returns
  true if the user wants to be warned

Definition at line 330 of file ksslsettings.cc.

bool KSSLSettings::warnOnMixed | ( |  | ) | const

Does the user want to be warned during mixed SSL/non-SSL mode.

Returns
  true if the user wants to be warned

Definition at line 332 of file ksslsettings.cc.

bool KSSLSettings::warnOnRevoked | ( |  | ) | const

Do not use this.

Deprecated:

Definition at line 334 of file ksslsettings.cc.

bool KSSLSettings::warnOnSelfSigned | ( |  | ) | const

Do not use this.

Deprecated:

Definition at line 333 of file ksslsettings.cc.

bool KSSLSettings::warnOnUnencrypted | ( |  | ) | const

Does the user want to be warned on sending unencrypted data.

Returns
  true if the user wants to be warned

See also
  setWarnOnUnencrypted

Definition at line 328 of file ksslsettings.cc.

The documentation for this class was generated from the following files:

- ksslsettings.h
- ksslsettings.cc

KDE Home | KDE Accessibility Home | Description of Access Keys